﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Images;
using bbiwarg.Recognition.FingerRecognition;
using bbiwarg.Recognition.HandRecognition;
using bbiwarg.Recognition.PalmRecognition;
using bbiwarg.Recognition.TouchRecognition;

namespace bbiwarg.Input.InputHandling
{
    public class FrameData
    {
        public int FrameID { get; set; }

        // images
        public DepthImage DepthImage { get; set; }
        public EdgeImage EdgeImage { get; set; }
        public ConfidenceImage ConfidenceImage { get; set; }

        // fingers
        public List<Finger> DetectedFingers { get; set; }
        public List<Finger> TrackedFingers { get; set; }

        // hands
        public List<Hand> DetectedHands { get; set; }
        public List<Hand> TrackedHands { get; set; }

        // palms
        public List<Palm> DetectedPalms { get; set; }
        public List<Palm> TrackedPalms { get; set; }

        // touch
        public List<Touch> DetectedTouches { get; set; }
        public List<Touch> TrackedTouches { get; set; }
        public List<TouchEventArgs> TouchEvents { get; set; }

    }
}
