﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Recognition.FingerRecognition;
using bbiwarg.Recognition.PalmRecognition;
using bbiwarg.Recognition.Tracking;
using bbiwarg.Utility;
using Emgu.CV;
using Emgu.CV.Structure;

namespace bbiwarg.Recognition.TouchRecognition
{
    public class Touch : TrackableObject
    {
        public Vector2D AbsolutePosition { get; private set; }
        public Vector2D RelativePosition { get; private set; }
        public Finger Finger { get; private set; }
        public Palm Palm { get; private set; }


        public Touch(Vector2D absolutePosition, Finger finger, Palm palm)
        {
            AbsolutePosition = absolutePosition;
            RelativePosition = palm.getRelativePosition(absolutePosition);
            Finger = finger;
            Palm = palm;

            finger.Touch = this;
        }

    }
}
